<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-agent-heading">Create or edit a Agent</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_agentId">Agent Id</label>
                    <input type="text" class="form-control" name="agentId" id="field_agentId"
                           formControlName="agentId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_type">Type</label>
                    <select class="form-control" name="type" formControlName="type" id="field_type">
                        <option value="GSSA">GSSA</option>
                        <option value="Individual">Individual</option>
                        <option value="HenleyAndPartner">HenleyAndPartner</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_name">Name</label>
                    <input type="text" class="form-control" name="name" id="field_name"
                           formControlName="name"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_address">Address</label>
                    <input type="text" class="form-control" name="address" id="field_address"
                           formControlName="address"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_fax">Fax</label>
                    <input type="text" class="form-control" name="fax" id="field_fax"
                           formControlName="fax"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_phone">Phone</label>
                    <input type="text" class="form-control" name="phone" id="field_phone"
                           formControlName="phone"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_website">Website</label>
                    <input type="text" class="form-control" name="website" id="field_website"
                           formControlName="website"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_email">Email</label>
                    <input type="text" class="form-control" name="email" id="field_email"
                           formControlName="email"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_status">Status</label>
                    <select class="form-control" name="status" formControlName="status" id="field_status">
                        <option value="ACTIVE">ACTIVE</option>
                        <option value="INACTIVE">INACTIVE</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
